POST api/contractapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| washing_processes | Collection of WashingProcessViewModel |
None. |
|
| active | boolean |
Required |
|
| certificate_type_id | globally unique identifier |
Required |
|
| code | integer |
None. |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| internal_reference | string |
String length: inclusive between 0 and 50 |
|
| item_wash_max | integer |
None. |
|
| language_code | string |
Required String length: inclusive between 0 and 10 |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| packaging_type_id | globally unique identifier |
Required |
|
| packing_type_id | globally unique identifier |
Required |
|
| particles_control | boolean |
Required |
|
| peremption_month | integer |
None. |
|
| peremption_print_cleanroom | boolean |
Required |
|
| peremption_print_date | boolean |
Required |
|
| peremption_print_expedition | boolean |
Required |
|
| permanent_management | boolean |
Required |
|
| pool_id | globally unique identifier |
None. |
|
| remark | string |
None. |
|
| site_customer_id | globally unique identifier |
Required |
|
| sorting_type_id | globally unique identifier |
Required |
|
| type | string |
Required String length: inclusive between 0 and 1 |
Request Formats
application/json, text/json
Sample:
{
"selected_nameplate_id": "787c770a-13ea-4429-aa0d-525ac2917afb",
"selected_sticker_id": "7e04e824-9fc6-4e81-a60d-8b112c2d3034",
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "10dd47e1-200b-48a9-9ce7-b04c9e9ec07b",
"site_id": "150b03a8-511d-49a4-b216-82d9fe3f02ae"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "10dd47e1-200b-48a9-9ce7-b04c9e9ec07b",
"site_id": "150b03a8-511d-49a4-b216-82d9fe3f02ae"
}
],
"active": true,
"certificate_type_id": "5050d564-6790-4294-b2d7-48a7fddbeeff",
"code": 1,
"delay_between_scans": 1,
"id": "81943eab-d971-407b-8b1d-436293faaadf",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "22f782d7-5b05-41dd-9c7b-ea2e9c084825",
"packing_type_id": "3932f8a0-df05-4b63-8689-458f01335799",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "aa320c73-5185-4fd7-9019-c5a42823f984",
"remark": "sample string 14",
"site_customer_id": "942f8818-b25b-442a-b6d3-1c0b0f6ea6b2",
"sorting_type_id": "12135bca-abf6-4fa5-aee0-1b58abf28e59",
"type": "sample string 17"
}
application/xml, text/xml
Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<certificate_type_id>5050d564-6790-4294-b2d7-48a7fddbeeff</certificate_type_id>
<code>1</code>
<delay_between_scans>1</delay_between_scans>
<id>81943eab-d971-407b-8b1d-436293faaadf</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>22f782d7-5b05-41dd-9c7b-ea2e9c084825</packaging_type_id>
<packing_type_id>3932f8a0-df05-4b63-8689-458f01335799</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>aa320c73-5185-4fd7-9019-c5a42823f984</pool_id>
<remark>sample string 14</remark>
<site_customer_id>942f8818-b25b-442a-b6d3-1c0b0f6ea6b2</site_customer_id>
<sorting_type_id>12135bca-abf6-4fa5-aee0-1b58abf28e59</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>787c770a-13ea-4429-aa0d-525ac2917afb</selected_nameplate_id>
<selected_sticker_id>7e04e824-9fc6-4e81-a60d-8b112c2d3034</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>10dd47e1-200b-48a9-9ce7-b04c9e9ec07b</id>
<site_id>150b03a8-511d-49a4-b216-82d9fe3f02ae</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>10dd47e1-200b-48a9-9ce7-b04c9e9ec07b</id>
<site_id>150b03a8-511d-49a4-b216-82d9fe3f02ae</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"35d1d928-28c1-4aa9-95c2-809d3c0202bf"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">35d1d928-28c1-4aa9-95c2-809d3c0202bf</guid>